Subject: RE: Source Address Selection (was Re: [nemo] crossover tunnel....)

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Tue, 2 Sep 2003 11:06:42 +0100

> -----Original Message-----
> From: Vijay Devarapalli [mailto:[email-masked]]
> Sent: lundi 1 septembre 2003 22:17
> To: Pascal Thubert (pthubert)
> Cc: [email-masked]
> Subject: Re: Source Address Selection (was Re: [nemo] crossover
tunnel....)
> 
> "Pascal Thubert (pthubert)" wrote:
> 
> > >     For any packet, if the interface through which the packet
> > >     is sent out is the MR-HA tunnel, then the Home Address must
> > >     be selected as the source address. The source must be set
> > >     to the link local address, if the destination of the packet
> > >     is a link local address. The Mobile Router MUST NOT set the
> > >     source address to Home Address if the packets are sent to
> > >     the visited link.
> > >
> >
> > I agree with that text, but there's something missing to the last
sentence. The Mobile
> > Router may have other routes than via the MRHA tunnel.
> 
> ofcourse.
> 
> > For instance running a routing
> > protocol locally in the visited network. For all these routes, the
interface out will not
> > he the MRHA tunnel, and SAS must select the appropriate address as
it does normally as if
> > Nemo was not there.
> 
> right. the CoA should be used.
> 
> > This is all normal SAS, considering that the global address on the
> > MRHA is the home address. Can you please reword the last sentence?
> 
> what specific text are you looking for? I am not sure I understood
> that from your email. we just want to place restriction on the use
> of home address when the MR is on a visited link, which the
> paragraph I proposed above does.
> 

I'm looking for some text that says that SAS works as defined in RFCs,
with the Home Address considered as the global address on the MRHA
tunnel. Your text gives examples of that, but the best is to refer to
the existing definition. The first sentence of your text is the key
example. I'd turn it into:

"
For Source Address Selection purposes, the Home Address is considered as
the global address on the MRHA tunnel. Consequently, in most cases, the
Home Address will be selected as the source address if and only if the
interface through which the packet is sent out is the MR-HA tunnel. 
"

What do you think?

Pascal

---

From: Vijay Devarapalli <[email-masked]>
Date: Tue, 02 Sep 2003 10:09:51 -0700

Pascal,

how about this?

  The Home Address is considered as the global address on the 
  MR-HA tunnel. Consequently, the Home Address will be selected 
  as the source address if and only if the interface through 
  which the packet is sent out is the MR-HA tunnel. If the 
  destination of a packet sent through the MR-HA tunnel is set 
  to Home Agent's link local address, then the source address 
  must be set to the link local address of the Mobile Router. 
  The source address MUST NOT bet set to the Home Address if 
  the packets are sent to the visited link.

Vijay

---

From: Vijay Devarapalli <[email-masked]>
Date: Tue, 02 Sep 2003 10:09:51 -0700

Pascal,

how about this?

Vijay

---

From: Thierry Ernst <[email-masked]>
Date: Thu, 4 Sep 2003 18:15:41 +0900

>   the packets are sent to the visited link.

The text is clear, but, if I understand the issue well, didn't we have:

   R03: All traffic exchanged between a MNN and a CN in the global
        Internet MUST transit through the bidirectional tunnel.

in "Network Mobility Support Goals and Requirements"
                 <draft-ietf-nemo-requirements-01.txt>

So, it seems to me that we are diverging from what we have agreed on.
Doesn't look like Basic Support to me.

Thierry.

---

From: Thierry Ernst <[email-masked]>
Date: Thu, 4 Sep 2003 18:15:41 +0900

Thierry.